## mx4j.monitor
Class MX4JStringMonitor

    java.lang.Object
      javax.management.StandardMBean
          mx4j.monitor.MX4JMonitor
              mx4j.monitor.MX4JStringMonitor

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, MX4JMonitorMBean, MX4JStringMonitorMBean, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter

public class MX4JStringMonitor
extends MX4JMonitor
implements MX4JStringMonitorMBean

Version:
  $Revision: 1.3 $

Nested Class Summary
`protected class` `MX4JStringMonitor.StringMonitorInfo`

Nested classes inherited from class mx4j.monitor.MX4JMonitor
`MX4JMonitor.MonitorInfo`

Constructor Summary
`MX4JStringMonitor()`
`MX4JStringMonitor(java.lang.Class management)`

Method Summary
`protected int` `compare(java.lang.String left, java.lang.String right)`
`protected MX4JMonitor.MonitorInfo` `createMonitorInfo()`
`java.lang.String` `getDerivedGauge(javax.management.ObjectName objectName)`
`long` `getDerivedGaugeTimeStamp(javax.management.ObjectName objectName)`
`javax.management.MBeanNotificationInfo[]` `getNotificationInfo()`
`boolean` `getNotifyDiffer()`
`boolean` `getNotifyMatch()`
`java.lang.String` `getStringToCompare()`
`protected void` `monitor(javax.management.ObjectName name, java.lang.String attribute, java.lang.Object value, MX4JMonitor.MonitorInfo monitorInfo)`
`void` `setNotifyDiffer(boolean notifyDiffer)`
`void` `setNotifyMatch(boolean notifyMatch)`
`void` `setStringToCompare(java.lang.String value)`

Methods inherited from class mx4j.monitor.MX4JMonitor

`addNotificationListener, addObservedObject, clearObservedObjects, containsObservedObject, createMonitorNotification, createNotificationEmitter, getGranularityPeriod, getLogger, getMonitorInfo, getObservedAttribute, getObservedObjects, isActive, postDeregister, postRegister, preDeregister, preRegister, putMonitorInfo, removeMonitorInfo, removeNotificationListener, removeNotificationListener, removeObservedObject, sendErrorNotification, sendNotification, sendNotification, setGranularityPeriod, setObservedAttribute, start, startMonitor, stop, stopMonitor`

Methods inherited from class javax.management.StandardMBean
`cacheMBeanInfo, getAttribute, getAttributes, getCachedMBeanInfo, getClassName, getConstructors, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getImpact, getImplementation, getImplementationClass, getMBeanInfo, getMBeanInterface, getParameterName, getParameterName, invoke, setAttribute, setAttributes, setImplementation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface mx4j.monitor.MX4JMonitorMBean
`addObservedObject, containsObservedObject, getGranularityPeriod, getObservedAttribute, getObservedObjects, isActive, removeObservedObject, setGranularityPeriod, setObservedAttribute, start, stop`

Constructor Detail

### MX4JStringMonitor

    public MX4JStringMonitor()
                      throws javax.management.NotCompliantMBeanException

### MX4JStringMonitor

    public MX4JStringMonitor(java.lang.Class management)
                      throws javax.management.NotCompliantMBeanException

Method Detail

### getNotificationInfo

    public javax.management.MBeanNotificationInfo[] getNotificationInfo()

  Specified by:
    `getNotificationInfo` in interface `javax.management.NotificationBroadcaster`

### getStringToCompare

    public java.lang.String getStringToCompare()

  Specified by:
    `getStringToCompare` in interface `MX4JStringMonitorMBean`

### setStringToCompare

    public void setStringToCompare(java.lang.String value)
                            throws java.lang.IllegalArgumentException

  Specified by:
    `setStringToCompare` in interface `MX4JStringMonitorMBean`
  Throws:
    `java.lang.IllegalArgumentException`

### getNotifyMatch

    public boolean getNotifyMatch()

  Specified by:
    `getNotifyMatch` in interface `MX4JStringMonitorMBean`

### setNotifyMatch

    public void setNotifyMatch(boolean notifyMatch)

  Specified by:
    `setNotifyMatch` in interface `MX4JStringMonitorMBean`

### getNotifyDiffer

    public boolean getNotifyDiffer()

  Specified by:
    `getNotifyDiffer` in interface `MX4JStringMonitorMBean`

### setNotifyDiffer

    public void setNotifyDiffer(boolean notifyDiffer)

  Specified by:
    `setNotifyDiffer` in interface `MX4JStringMonitorMBean`

### getDerivedGauge

    public java.lang.String getDerivedGauge(javax.management.ObjectName objectName)

  Specified by:
    `getDerivedGauge` in interface `MX4JStringMonitorMBean`

### getDerivedGaugeTimeStamp

    public long getDerivedGaugeTimeStamp(javax.management.ObjectName objectName)

  Specified by:
    `getDerivedGaugeTimeStamp` in interface `MX4JStringMonitorMBean`

### createMonitorInfo

    protected MX4JMonitor.MonitorInfo createMonitorInfo()

  Specified by:
    `createMonitorInfo` in class `MX4JMonitor`

### compare

    protected int compare(java.lang.String left,
                          java.lang.String right)

### monitor

    protected void monitor(javax.management.ObjectName name,
                           java.lang.String attribute,
                           java.lang.Object value,
                           MX4JMonitor.MonitorInfo monitorInfo)

  Specified by:
    `monitor` in class `MX4JMonitor`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.